VMPersistenceAdapter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.vm.VMPersistenceAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.vm
Class VMPersistenceAdapter

    java.lang.Object
      org.codehaus.activemq.service.impl.PersistenceAdapterSupport
          org.codehaus.activemq.store.vm.VMPersistenceAdapter

All Implemented Interfaces:
  PersistenceAdapter, Service

public class VMPersistenceAdapter
extends PersistenceAdapterSupport

Version:
  $Revision: 1.3 $

Constructor Summary
`VMPersistenceAdapter()`

Method Summary
`void` | `beginTransaction()` This method starts a transaction on the persistent storage - which is nothing to do with JMS or XA transactions - its purely a mechanism to perform multiple writes to a persistent store in 1 transaction as a performance optimisation.
`void` | `commitTransaction()` Commit a persistence transaction
`PreparedTransactionStore` | `createPreparedTransactionStore()` Factory method to create a new persistent prepared transaction store for XA recovery
`MessageStore` | `createQueueMessageStore(String destinationName)` Factory method to create a new queue message store with the given destination name
`TopicMessageStore` | `createTopicMessageStore(String destinationName)` Factory method to create a new topic message store with the given destination name
`Map` | `getInitialDestinations()` Returns a map, indexed by String name, of all the `Destination` objects active on startup.
`static VMPersistenceAdapter` | `newInstance(File file)`
`void` | `rollbackTransaction()` Rollback a persistence transaction
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class org.codehaus.activemq.service.impl.PersistenceAdapterSupport
`createQueueMessageContainer, createTopicMessageContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMPersistenceAdapter

    public VMPersistenceAdapter()

Method Detail

### getInitialDestinations

    public Map getInitialDestinations()

  Description copied from interface: `PersistenceAdapter`
  Returns a map, indexed by String name, of all the `Destination` objects active on startup.

  Returns:

### newInstance

    public static VMPersistenceAdapter newInstance(File file)

### createQueueMessageStore

    public MessageStore createQueueMessageStore(String destinationName)
                                         throws JMSException

  Description copied from interface: `PersistenceAdapter`
  Factory method to create a new queue message store with the given destination name

  Throws:
    `JMSException`

### createTopicMessageStore

    public TopicMessageStore createTopicMessageStore(String destinationName)
                                              throws JMSException

  Description copied from interface: `PersistenceAdapter`
  Factory method to create a new topic message store with the given destination name

  Throws:
    `JMSException`

### createPreparedTransactionStore

    public PreparedTransactionStore createPreparedTransactionStore()
                                                            throws JMSException

  Description copied from interface: `PersistenceAdapter`
  Factory method to create a new persistent prepared transaction store for XA recovery

  Throws:
    `JMSException`

### beginTransaction

    public void beginTransaction()

  Description copied from interface: `PersistenceAdapter`
  This method starts a transaction on the persistent storage - which is nothing to do with JMS or XA transactions - its purely a mechanism to perform multiple writes to a persistent store in 1 transaction as a performance optimisation.

  Typically one transaction will require one disk synchronization point and so for real high performance its usually faster to perform many writes within the same transaction to minimise latency caused by disk synchronization. This is especially true when using tools like Berkeley Db or embedded JDBC servers.

### commitTransaction

    public void commitTransaction()

  Description copied from interface: `PersistenceAdapter`
  Commit a persistence transaction

  See Also:
    `PersistenceAdapter.beginTransaction()`

### rollbackTransaction

    public void rollbackTransaction()

  Description copied from interface: `PersistenceAdapter`
  Rollback a persistence transaction

  See Also:
    `PersistenceAdapter.beginTransaction()`

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.